Bug 802378 - [ovirt] [webadmin] minimum refresh time is not applied on web-admin instance in blur mode (not in focus)
[ovirt] [webadmin] minimum refresh time is not applied on web-admin instance ...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1
Assigned To: vszocs
:
Depends On: 811172
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 08:23 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
WebAdmin new login option (13.33 KB, image/png)
2012-03-29 09:05 EDT, vszocs
no flags Details
UserPortal new login option (15.14 KB, image/png)
2012-03-29 09:05 EDT, vszocs
no flags Details

  None (edit)
Description Haim 2012-03-12 08:23:00 EDT
Description of problem:

- have 2 instances of web-admin opened 
- make one of the instances in focus
- perform action - like: deactivate storage domain
- web-admin is not refreshed on second window (out of focus) till it being in focused again 

in user-portal - we had a refresh time of 60s for such operation.
Comment 1 Pavel Stehlik 2012-03-22 07:20:18 EDT
I heard, that due to bandwidth optimization only focused webadmin refreshed itself.
Could you please ad an option to override this behaviour? I can imagine two layered window e.g. when adding host there & waiting forever (as I actually did). Also I can imagine the poor guy on monitoring position with more application than webadmin in front of him - each minute clicking into grid to make sure he's actual state.
Thank you for consideration.
Comment 2 Pavel Novotny 2012-03-22 12:29:45 EDT
Besides the reasons described in comment #1, an option to turn on auto-refresh globally will be highly appreciated also for automated testing purposes.
Now, QE run automation on dedicated Selenium server, where multiple browser instances can operate in parallel at the same time. Unfortunately, due to this behavior, the number of concurrent instances had to be cut down to one, so more tests have to wait in a queue. This way the testing process takes much more time than running it in parallel.
Comment 3 vszocs 2012-03-27 11:40:06 EDT
Guys, this is a feature :) it works like this:

When the application window is not in focus, for example:
- you switched the active window focus from browser to other application
- or you switched the current browser tab from WebAdmin to other tab

then the auto-refresh feature is disabled for all WebAdmin data grids (each grid has its own timer which periodically polls the server for fresh data, and the poll frequency can be customized via refresh drop-down menu).

When the application window gains focus again, the auto-refresh feature is enabled. The motivation behind this is to reduce client/server bandwidth at times when the application is not actively used (not in focus).

I understand that this might not be what everyone expects. Maybe we could add some checkbox (hidden under some "Login Options" slide-out panel) to control this behavior globally for the application?
Comment 4 Pavel Novotny 2012-03-27 12:28:37 EDT
(In reply to comment #3)
> Guys, this is a feature :) it works like this:
> 
> When the application window is not in focus, for example:
> - you switched the active window focus from browser to other application
> - or you switched the current browser tab from WebAdmin to other tab
> 
> then the auto-refresh feature is disabled for all WebAdmin data grids (each
> grid has its own timer which periodically polls the server for fresh data, and
> the poll frequency can be customized via refresh drop-down menu).
> 
> When the application window gains focus again, the auto-refresh feature is
> enabled. The motivation behind this is to reduce client/server bandwidth at
> times when the application is not actively used (not in focus).
> 
> I understand that this might not be what everyone expects. Maybe we could add
> some checkbox (hidden under some "Login Options" slide-out panel) to control
> this behavior globally for the application?

I think that an extra option on login screen is a good idea. And also good compromise between reduction of network bandwidth load and use cases, where permanently enabled auto-refresh comes really useful.
Comment 5 vszocs 2012-03-29 09:05:05 EDT
Created attachment 573667 [details]
WebAdmin new login option
Comment 6 vszocs 2012-03-29 09:05:31 EDT
Created attachment 573668 [details]
UserPortal new login option
Comment 7 vszocs 2012-03-29 09:05:46 EDT
Patch submitted to Gerrit: http://gerrit.ovirt.org/3197

I've attached two screenshots, one for WebAdmin and one for UserPortal, to demonstrate the checkbox used to control refresh behavior.
Comment 8 Einav Cohen 2012-04-09 03:48:24 EDT
I am not sure if people would understand what this check is used for and/or ever un-check it.

We should keep in mind what is good for a typical use case (automated GUI tests launching multiple browsers in parallel on same machine is not a typical use case).

I suggest to remove the check-box and have the refresh rate set to the minimal one when out of focus (just like the BZ subject actually suggests).

As the next step, in order to also consider less typical use-cases, we can have all focus-refresh-rates and out-of-focus-refresh-rate as configurable/part of user preferences (you can open a BZ on that).
Comment 9 vszocs 2012-04-10 05:55:51 EDT
Agreed, I will update the patch in the following way:
- revert UI changes (no additional check-box at the login screen)
- apply minimal refresh rate [60s] when the application is out of focus

I've discussed this with Pavel today, QE folks might open an RFE to customize the "out-of-focus-refresh-rate".
Comment 10 Pavel Novotny 2012-04-10 06:38:37 EDT
(In reply to comment #9)
> Agreed, I will update the patch in the following way:
> - revert UI changes (no additional check-box at the login screen)
> - apply minimal refresh rate [60s] when the application is out of focus
> 
> I've discussed this with Pavel today, QE folks might open an RFE to customize
> the "out-of-focus-refresh-rate".
That's right. New RFE opened: https://bugzilla.redhat.com/show_bug.cgi?id=811172
Comment 11 vszocs 2012-04-10 09:38:39 EDT
New patch set submitted to Gerrit: http://gerrit.ovirt.org/3197
Comment 12 vszocs 2012-04-27 12:08:36 EDT
The above patch set has been merged upstream.
Comment 13 Itamar Heim 2012-08-09 04:01:42 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 14 Itamar Heim 2012-08-09 04:03:20 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.